Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::PZ81LCFunctional Class Reference

Implements the PZ81 local (LSDA) correlation functional. More...

`#include <functional.h>`

Inheritance diagram for sc::PZ81LCFunctional:

[legend]
Collaboration diagram for sc::PZ81LCFunctional:

[legend]
List of all members.

## Public Methods
| PZ81LCFunctional ()
| PZ81LCFunctional (const Ref< KeyVal > &)
| PZ81LCFunctional (StateIn &)
| ~PZ81LCFunctional ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | point_lc (const PointInputData &, PointOutputData &, double &, double &, double &)
## Protected Methods
double | Fec_rsgt1 (double rs, double beta_1, double beta_2, double gamma)
double | dFec_rsgt1_drho (double rs, double beta_1, double beta_2, double gamma, double &dec_drs)
double | Fec_rslt1 (double rs, double A, double B, double C, double D)
double | dFec_rslt1_drho (double rs, double A, double B, double C, double D, double &dec_drs)

## Detailed Description

Implements the PZ81 local (LSDA) correlation functional.

This local correlation functional is used in P86.

J. P. Perdew and A. Zunger, Phys. Rev. B, 23, pp. 5048-5079, 1981.

## Member Function Documentation

void sc::PZ81LCFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::LSDACFunctional.

The documentation for this class was generated from the following file:

- functional.h